# results

The results module contains functions to handle the final reports.

- merging results of each sequence

- generate a summary

- or filter the calin

integron_finder.results._log = <Logger integron_finder.results (WARNING)>

  utilities to manage results

integron_finder.results.filter_calin(result, threshold=2)

  filter integron report, remove ‘CALIN’ integron where number of attC sites is lower than threshold.

  Parameters:

    - result (`pandas.dataFrame` object) – the output of `integrons_report()`

    - threshold (int) – the integron CALIN with less attc site than threshold are removed

  Returns:

    filtered integron report

  Return type:

    `pandas.dataFrame` object

integron_finder.results.integrons_report(integrons)
  Parameters:

    integrons (list of `integron_finder.integron.Integron` object.) – list of integrons used to generate a report

  Returns:

    a report off all integrons from a replicon

  Return type:

    `pandas.DataFrame` object. this datafame have following columns:

    ”ID_integron”, “ID_replicon”, “element”, “pos_beg”, “pos_end”, “strand”, “evalue”, “type_elt”, “annotation”, “model”, “type”, “default”, “distance_2attC”, “considered_topology”

integron_finder.results.merge_results(*results_file)
  Parameters:

    results_file (str) – The path of the files to merge. The files can be parsed by pandas as DataFrame and have the same columns. It is used to merge the integrons files (.integrons) or summary files (.summary) from different replicons.

  Returns:

    all results aggregated in one `pandas.DataFrame` object. if there is no results to merge, return an empty DataFrame.

  Return type:

    a `pandas.DataFrame` object.

integron_finder.results.summary(result)

  Create a summary of an integron report. Count the number of ‘CALIN’, ‘In0’ or ‘complete’ for each replicon.

  Parameters:

    result – the integron to summarize

  Returns:

    a `pandas.DataFrame` object. with columns ‘ID_replicon’, ‘ID_integron’, ‘complete’, ‘In0’, ‘CALIN’